#ifndef TEMPLATE_RESOLVE_H
#define TEMPLATE_RESOLVE_H

/*
 * Attribute resolution algorithm for template overlay.
 *
 * Author: H. Schulz <Helmut@thalion-graphics.de>
 *
 * Developed for Hewlett-Packard GmbH Germany
 * Contact: Bernd Schumacher <bernd.schumacher@hp.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted only as authorized by the
 * GNU Public License 2.0.
 *
 * A copy of this license is available at
 * <http://www.fsf.org/licensing/licenses/gpl.txt>
 */

int template_resolve_attribute(Operation *op, AttributeDescription *ad, Attribute *template_att, BerVarray *vals);

#endif

